# configurations-ansible

This repository aims to handle most of the Unitoo basic/ standard configuration for different purposes.

**Actually the repository is not optimized but is usable (we are using it), more changes yet to come**

## Playbooks

- **handbook.yml**: is the main playbook, used for most of the situations. The playbook respond to vars configured to hosts. You can, for example, create multiple inventories, each with different host_vars and call this playbook to setup just only triggered roles. Each role has correspondent tags.
- **os-update.yml**: this playbook is useful when you need to update multiple hosts from another host (like a "controller")
- **setup-node.yml**: this playbook helps you to setup a target to allow it to play ansible playbooks
- **ssh-copy-id.yml**: this helps you to send your ssh pubkey to multiple targets for the given user

## Docker

The examples for `Dockerfile.example` and `docker-compose.yml.example` are useful if you need a basic container to test your playbook with different systems (like Centos/ Ubuntu). Copy them and modify as needed :)

## Authors & contributors

- [Claudio Maradonna](https://social.unitoo.it/claudio)


## Support

<a href="https://liberapay.com/Unitoo/donate"><img alt="Donate using Liberapay" src="https://liberapay.com/assets/widgets/donate.svg"></a>

---

> [unitoo.it](https://www.unitoo.it) &nbsp;&middot;&nbsp;
> Fediverse [admin@social.unitoo.it](https://social.unitoo.it/admin) &nbsp;&middot;&nbsp;
> GitHub [@UnitooTeam](https://github.com/UnitooTeam)
